Get All O Auth2 Client Summaries

Get All O Auth2 Client Summaries
List existing OAuth 2.0 clients

This endpoint is to list existing OAuth 2.0 clients. Returns a summary for each client.

Request
URI
GET
https://{api_host}/acs/t/{tenant}/broker/oauth2-clients
COPY
Path Parameters
string
tenant
Required

The VMware Identity Services tenant ID

tenant example
my-tenant
Query Parameters
integer
start_index
Optional
Constraints: default: 1

The index of the page. Pages start with index 1.

start_index example
1
integer
page_size
Optional
Constraints: default: 20

Number of results per page.

page_size example
50
string
searchTerm
Optional

The string to be searched within the OAuth client' displayName or clientId

searchTerm example
myApp

Authentication
This operation uses the following authentication methods.
Responses
200

OAuth2 Clients returned successfully.

Returns BrokerOAuth2ClientList of type(s) application/vnd.vmware.horizon.manager.accesscontrol.broker.oauth2client.list+json
{
    "items": [
        {
            "scope": [
                "admin",
                "openid",
                "profile",
                "email"
            ],
            "_links": {
                "self": {
                    "href": "https://example.com/path-to-self"
                }
            },
            "client_uuid": "d53b5824-78ff-4897-b08a-46c8d23b5d0e",
            "client_id": "oauth_clientid",
            "display_name": "VM Activity Monitor",
            "description": "Service account for nightly sync job",
            "created_date": "string",
            "modified_date": "string",
            "client_type": "API_CLIENT"
        }
    ],
    "totalCount": 0,
    "pageNumber": 0,
    "totalPages": 0,
    "pageSize": 0,
    "_links": {
        "self": {
            "href": "https://example.com/path-to-self"
        }
    }
}

400

Invalid starting index or page size.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/acs/t/{tenant}/broker/oauth2-clients